Drupal 8.7 eliminará el soporte para PHP 5.5 y 5.6

Pues si, por primera vez en la historia de Drupal, se eliminara el soporte para versiones de PHP en el core sin una versión mayor. Es oficial y ya lo anunciaron con un plazo de 1 año para que a toda la gente le de tiempo a actualizar todos los sitemas.

Hace unos meses, en las listas de incidencias de Drupal 8, se debatía que hacer con el soporte para las ramas 5.5 y 5.6 de PHP; en la Drupalcon de Viena, se decidió dejar de dar soporte a PHP 5.x y centrarse unicamente en PHP 7.x pensando en simplificar el desarrollo del core al soportar menos versión de php y facilitar la actualización de los vendors, ya que muchos solo soportan PHP 7.x.

Por que se elimina el soporte?

Actualmente, la versión mínima de PHP soportada oficialmente es la 5.5.9, pero esa versión ya perdió el soporte en Julio del 2016, y la rama 5.6 lo perderá en Diciembre del 2018. Mantener el soporte para versiones de PHP obsoletas es algo que no gusta a los principales encargados del mantenimiento del core.

Ademas, el mantener versiones obsoletas de PHP impide la evolución de Drupal, ya que actualmente algunos vendors no se pueden actualizar ya que requieren PHP 7.0 o superior (Twig en su versión 2.0 por ejemplo).

Que hago si mi hosting o servidor no dispone de PHP 7?

En el caso de servidores o vps propio, básicamente, toca buscarse la vida para actualizar la versión de PHP. Ya sea actualizando el sistema operativo de nuestro servidor, cambiando a uno mas moderno, o instalando manualmente la versión de PHP que queramos usar.

Sobre los proveedores de hostings compartidos, la mejor solución que proponen es cambiarse de proveedor, ya que la mayoría ya dispone de PHP 7.x en sus alojamientos, de modo, que si nuestro proveedor de hosting no incluye PHP 7, tocara migrar a otro que si tenga.

Toca adaptarse

Si queremos seguir utilizando este fantástico CMS que es Drupal, nos toca adaptarnos a el, esta claro que Drupal 8 fue una declaración de intenciones de evolucionar y acercarse a la comunidad de PHP y dejar de estar en una isla, y después de que hayan cambiado el modelo de lanzamientos a uno cada 6 meses con novedades, ahora cambiaran la versión mínima de PHP sin versión mayor.

Drupal 8.6 sera la ultima que soportara oficialmente la rama 5.x de PHP, y cuando salga la 8.7 de Drupal en Marzo del 2019, diremos adiós en Drupal a una versión de PHP que nos ha acompañado durante casi una década.

Articulo original en nireneko.

Total de votos: 26

Entradas relacionadas

Comentarios (0)

Deja un comentario